
import java.io.Serializable;
import java.util.TreeSet;

public class InfoClass implements Serializable{
    private String password;
    private boolean accept,block;
    private TreeSet<String> smsBlackList = new TreeSet<>();
    private TreeSet<String> voiceBlackList = new TreeSet<>();

    public InfoClass(String password, boolean accept, boolean block, TreeSet<String> smsBlackList, TreeSet<String> voiceBlackList) {
        this.password = password;
        this.accept = accept;
        this.block = block;
        this.smsBlackList = smsBlackList;
        this.voiceBlackList = voiceBlackList;
    }

    public InfoClass() {
    }

    public TreeSet<String> getSmsBlackList() {
        return smsBlackList;
    }
    
    public TreeSet<String> getVoiceBlackList() {
        return voiceBlackList;
    }

    public String getPassword() {
        return password;
    }

    public boolean isAccept() {
        return accept;
    }

    public boolean isBlock() {
        return block;
    }

    public void setAccept(boolean accept) {
        this.accept = accept;
    }

    public void setSmsBlackList(TreeSet<String> smsBlackList) {
        this.smsBlackList = smsBlackList;
    }

    public void setVoiceBlackList(TreeSet<String> voiceBlackList) {
        this.voiceBlackList = voiceBlackList;
    }
    
    public void setBlock(boolean block) {
        this.block = block;
    }

    public void setPassword(String password) {
        this.password = password;
    }
    
    
    
}
